सवाल क्या मैं उबंटू फोन ऐप बनाने के लिए 12.04 का उपयोग कर सकता हूं?


क्या मैं उबंटू फोन ऐप बनाने के लिए 12.04 का उपयोग कर सकता हूं? उदाहरण 12.10 इंगित करता है।


4
2018-02-21 04:42


मूल




जवाब:


हाँ।

आवश्यकताएँ

उदाहरण उबंटू ऐप डेवलपर में प्रदान किया गया इसके लिए आवश्यकताओं की सूची:

  1. ऑपरेटिंग सिस्टम - उबंटू (नीचे उल्लिखित पीपीए की वजह से 12.04 और उच्चतर की आवश्यकता है)

  2. क्यूटी 5 और उबंटू क्यूएमएल टूलकिट निम्नलिखित पीपीए से उपलब्ध है। दोनों पीपीए सटीक (12.04) और उच्चतर के लिए पैकेज प्रदान करते हैं।

  3. एक कोड संपादक (के लिए वरीयता क्यूटी निर्माता Install qtcreator - हालांकि आप अपनी पसंद के संपादक का उपयोग कर सकते हैं)

टर्मिनल कमांड्स

निम्न आदेशों को चलाने से आपको जो भी चाहिए उसे इंस्टॉल करना चाहिए:

sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-proper
sudo add-apt-repository ppa:ubuntu-sdk-team/ppa
sudo apt-get update && sudo apt-get install ubuntu-sdk notepad-qml

यदि आप क्यूटी निर्माता भी स्थापित करना चाहते हैं:

sudo apt-get install qtcreator

ध्यान दें कि आपके पास पहले से QT4 है या यदि आप भविष्य में इसका उपयोग करने की योजना बना रहे हैं

यह अच्छा है पीपीए से निम्नलिखित नोट पढ़ें:

  1. क्यूटी 4 और क्यूटी 5 नए प्रवासन के साथ पूरी तरह सह-स्थापित हैं qtchooser उपकरण। [नोट: 12.04 एलटीएस पर अभी तक एक साथ Qt4 / Qt5 विकास निष्पादन योग्य नहीं हैं, लेकिन पुस्तकालय ठीक हैं]। पिछले डेबियन / उबंटू दृष्टिकोण बाइनरी का नाम बदलने और विकल्पों का उपयोग करने पर निर्भर था। क्यूटी 5 के खिलाफ पैकेजिंग करते समय, एक निर्भरता शामिल है qt5-default अन्य निर्भरताओं के अलावा। क्यूटी 4 के लिए, उपयोग करें qt4-default। इंस्टॉल करें qt5-default आपकी मशीन पर Qt5 को डिफ़ॉल्ट कॉन्फ़िगरेशन के रूप में भी रखना है। देख man qtchooser अधिक जानकारी के लिए।

  2. यदि आपके पास पुराने Qt4 / Qt5 पैकेज हैं जिनमें गलत / उच्च संस्करण संख्याएं हैं या अन्यथा संघर्ष है, तो आप इस भंडार में संस्करणों को मजबूर करने के लिए निम्न में से भिन्नता का उपयोग कर सकते हैं, बशर्ते अन्य पीपीए: अक्षम हैं:

    आप मूल संग्रह संस्करणों पर भी वापस जाने के लिए इसका उपयोग कर सकते हैं, इससे पहले कि आपको क्या करना चाहिए sudo dpkg -P qt5-default qtchooser


4
2018-02-21 08:32